## fis-gtm 7.0-004

=== debian/changelog ===
fis-gtm (7.0-004-2) unstable; urgency=medium

  * Version 7.0-004 is 64 bit only thus droping support for i386

 -- Andreas Tille <tille@debian.org>  Thu, 13 Oct 2022 18:00:53 +0200

fis-gtm (7.0-004-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: gawk

 -- Andreas Tille <tille@debian.org>  Wed, 12 Oct 2022 20:27:39 +0200

fis-gtm (7.0-002-3) unstable; urgency=medium

  * Team Upload.
  * Fix name of depends on package with micro part

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Sep 2022 05:49:13 +0000

fis-gtm (7.0-002-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Tue, 30 Aug 2022 14:02:15 +0000

fis-gtm (7.0-002-1) unstable; urgency=medium

  [ Amul Shah ]
  * Update to GT.M V7.0-002
    Closes: #1009900
    Closes: #1011722
  * Adjust gtminstall parameters to fix installation

  [ Andreas Tille ]
  * Standards-Version: 4.6.1 (routine-update)
  * Simplify naming scheme of binary packages to just major.minor without
    the '-micro' part.
  * Adapt creation of lintian-overrides to new lintan warning syntax
  * Add some more lintian-overrides

 -- Amul Shah <Amul.Shah@fisglobal.com>  Tue, 31 May 2022 11:56:33 -0400
