## fis-gtm 7.0-005

=== debian/changelog ===
fis-gtm (7.0-005-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS without libgcrypt-config by simply dropping the respective code
    on Debian. libgcrypt headers are installed to /usr/include on Debian
    Closes: #1071860

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Jun 2024 15:41:01 +0200

fis-gtm (7.0-005-2) unstable; urgency=medium

  * Build-Depends: s/libgcrypt20-dev | //, pkgconf
    Closes: #1071860
  * Fix libncurses-dev Build-Depends
  * Use secure URI in debian/watch

 -- Andreas Tille <tille@debian.org>  Sat, 22 Jun 2024 21:59:20 +0200

fis-gtm (7.0-005-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 25 Dec 2022 18:28:22 +0100
