=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Section: database
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               pkgconf,
                libicu-dev,
                locales,
                tcsh,
-               libncurses5-dev | libncurses-dev,
-               libtinfo-dev,
+               libncurses-dev,
                gnupg,
                zlib1g-dev,
-               libgcrypt20-dev | libgcrypt-dev,
+               libgcrypt-dev,
                libgpgme11-dev,
                libconfig-dev,
                libssl-dev,
@@ -22,7 +22,7 @@
                cmake,
                gawk
 Build-Conflicts: locales-all
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/fis-gtm
 Vcs-Git: https://salsa.debian.org/med-team/fis-gtm.git
 Homepage: http://sourceforge.net/projects/fis-gtm
