## fis-gtm 7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #################################################################
 #								#
-# Copyright (c) 2012-2022 Fidelity National Information		#
+# Copyright (c) 2012-2025 Fidelity National Information		#
 # Services, Inc. and/or its subsidiaries. All rights reserved.	#
 #								#
 #	This source code contains the intellectual property	#
@@ -18,18 +18,18 @@
 endif()
 project(GTM C ASM)
 
-# Max optimization level is -O2
+# Max optimization level is -O3
 get_property(languages GLOBAL PROPERTY ENABLED_LANGUAGES)
 foreach(lang ${languages})
   get_property(flags CACHE CMAKE_${lang}_FLAGS_RELEASE PROPERTY VALUE)
-  if("${flags}" MATCHES "-O[3-9]")
-    string(REGEX REPLACE "-O[3-9]" "-O2" flags "${flags}")
+  if("${flags}" MATCHES "[ ]?-O[0-9]*[ ]?")
+    string(REGEX REPLACE "([ ]?)(-O[0-9]*)([ ]?)" "\\1-O3\\3" flags "${flags}")
     set_property(CACHE CMAKE_${lang}_FLAGS_RELEASE PROPERTY VALUE "${flags}")
   endif()
 endforeach()
 
 # Defaults
-set(version ${V7.0-005})
+set(version ${V7.1-008})
 if("${version}" STREQUAL "")
         set(version V9.9-0)
 endif()
@@ -50,9 +50,30 @@
 endif()
 
 if ( CMAKE_COMPILER_IS_GNUCC )
-    set(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} -Wall -Wno-unused-result -Wno-parentheses -Wno-unused-value -Wno-unused-variable")
-    set(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} -Wno-maybe-uninitialized -Wno-char-subscripts -Wno-unused-but-set-variable")
-    set(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} -Wno-unused-function")
+    string(APPEND CMAKE_C_FLAGS " -std=c99"
+				" -Wmissing-prototypes -Wreturn-type -Wpointer-sign"
+				" -Wimplicit -Wall -Wno-unused-value -Wno-unused-function"
+				" -Wno-unused-variable"
+				" -Wno-unused-but-set-variable"
+				" -Wchar-subscripts"
+				" -Wno-unused-function -Woverflow"
+#				" -Wno-parentheses"
+				" -Werror")
+    #string(APPEND CMAKE_C_FLAGS " -Wpedantic")
+    #string(APPEND CMAKE_C_FLAGS " -Wstrict-overflow=5")
+    if(CMAKE_C_COMPILER_VERSION VERSION_GREATER 4.8.5)
+      string(APPEND CMAKE_C_FLAGS " -Wno-unused-result")
+    else()
+      string(APPEND CMAKE_C_FLAGS " -Wno-strict-aliasing")
+      if(CMAKE_C_COMPILER_VERSION VERSION_GREATER 4.4.7)
+        string(APPEND CMAKE_C_FLAGS " -Wno-maybe-uninitialized")
+      else()
+        string(APPEND CMAKE_C_FLAGS " -Wno-uninitialized")
+      endif()
+    endif()
+    if(CMAKE_VERSION VERSION_GREATER 3.12.99)
+      add_link_options("LINKER:-z,noexecstack")
+    endif()
 endif()
 
 set(install_permissions_script
@@ -66,6 +87,9 @@
 else()
     set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS $<$<CONFIG:Debug>:DEBUG>)
 endif()
+
+# Import packages
+find_package(PkgConfig)
 
 # Only IA64 and x86_64 architectures use this option
 set(gen_xfer_desc 0)
@@ -155,6 +179,7 @@
 include_directories(${includes})
 # We generate some uniquely-named headers in the top of the build tree.
 include_directories(${GTM_BINARY_DIR})
+include_directories("/usr/local/include")
 
 # Function to select the first instance of a given source file name
 # found in the ordered 'gt_src_list' search path.
@@ -310,23 +335,3 @@
   list(APPEND gen_bootstrap_files ${outputs})
 endforeach()
 
-add_custom_target(gen_bootstrap ALL DEPENDS ${gen_bootstrap_files})
-
-#-----------------------------------------------------------------------------
-
-if(gen_xfer_desc)
-  list(SORT sources_used)
-  set(CMAKE_CONFIGURABLE_FILE_CONTENT "")
-  foreach(src ${sources_used})
-    set(CMAKE_CONFIGURABLE_FILE_CONTENT "${CMAKE_CONFIGURABLE_FILE_CONTENT}${src}\n")
-  endforeach()
-  foreach(inc ${includes})
-    get_filename_component(absinc ${inc} REALPATH)
-    list(APPEND abs_includes ${absinc})
-  endforeach()
-  configure_file(${CMAKE_ROOT}/Modules/CMakeConfigurableFile.in ${GTM_BINARY_DIR}/sources.list)
-  add_custom_command(
-    OUTPUT xfer_desc.i
-    WORKING_DIRECTORY ${GTM_BINARY_DIR}
-    DEPENDS ${GTM_SOURCE_DIR}/sr_unix/gen_xfer_desc.cmake
-            ${GTM_BINARY_DIR}/sources.list
