## fis-gtm 7.1-005

=== debian/changelog ===
fis-gtm (7.1-005-1) unstable; urgency=medium

  * New upstream version
  * Bump binary names to latest upstream major version
  * d/copyright: review

 -- Andreas Tille <tille@debian.org>  Tue, 03 Dec 2024 08:36:17 +0100
