=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
 Package: fis-gtm
 Architecture: amd64
 Depends: ${misc:Depends},
-         fis-gtm-7.0
+         fis-gtm-7.1
 Provides: mumps
 Description: metapackage for the latest version of FIS-GT.M database
  GT.M is a database engine with scalability proven in large real-time
@@ -62,7 +62,7 @@
  .
  This metapackage always depends from the default fis-gtm version.
 
-Package: fis-gtm-7.0
+Package: fis-gtm-7.1
 Architecture: amd64
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -72,7 +72,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Provides: gtm,
           mumps
-Description: FIS-GT.M database version 7.0-002
+Description: FIS-GT.M database version 7.1
  GT.M is a database engine with scalability proven in large real-time
  transaction processing systems that have thousands of concurrent
  users, individual database file sizes to the Terabyte range (with
