## fis-gtm 7.1-006

=== debian/changelog ===
fis-gtm (7.1-006-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 22 Feb 2025 21:27:23 +0100
