=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                cmake,
                gawk
 Build-Conflicts: locales-all
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/med-team/fis-gtm
 Vcs-Git: https://salsa.debian.org/med-team/fis-gtm.git
 Homepage: http://sourceforge.net/projects/fis-gtm
