## fis-gtm 7.1-008

=== debian/changelog ===
fis-gtm (7.1-008-1) unstable; urgency=medium

  * New upstream version
    Closes: #1096634
    Closes: #1034805 (CVE-2021-44496 CVE-2021-44504 in version V7.1-002)
  * Build-Depends: libcrypt-dev
    Closes: #1106903
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Sep 2025 07:08:54 +0200
