=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libgcrypt-dev,
                libgpgme11-dev,
                libconfig-dev,
+               libcrypt-dev,
                libssl-dev,
                linux-libc-dev,
                libelf-dev,
@@ -22,7 +23,7 @@
                cmake,
                gawk
 Build-Conflicts: locales-all
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/fis-gtm
 Vcs-Git: https://salsa.debian.org/med-team/fis-gtm.git
 Homepage: http://sourceforge.net/projects/fis-gtm
