=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,8 @@
 	find $(LOCAL_GTM_INSTALL_DIR) -type d -empty -delete
 	# fix permissions of directories
 	find $(LOCAL_GTM_INSTALL_DIR) -type d -exec chmod u+x \{\} \;
+	# move some binaries from stage1 to $(BINPKG)
+	mv debian/$(BINPKG)-stage1/usr/$(GTM_INSTALL_DIR)/gtcm_* debian/$(BINPKG)/usr/$(GTM_INSTALL_DIR)
 
 override_dh_fixperms:
 	#echo "umask is: "
